### Method

# Gio FileInfo get_attribute_object

#### Declaration [src]

    GObject*
    g_file_info_get_attribute_object (
      GFileInfo* info,
      const char* attribute
    )

#### Description [src]

Gets the value of a `GObject` attribute. If the attribute does not contain a `GObject`, `NULL` will be returned.

#### Parameters

`attribute`

  Type: `const char*`

  A file attribute key.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GObject`

A `GObject` associated with the given `attribute`, or `NULL` otherwise.

The data is owned by the instance.
The return value can be `NULL`.